PrebuiltLibraries (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.nativeplatform

## Interface PrebuiltLibraries

- All Superinterfaces:
    `ArtifactRepository`, `java.util.Collection<PrebuiltLibrary>`, `DomainObjectCollection<PrebuiltLibrary>`, `java.lang.Iterable<PrebuiltLibrary>`, `NamedDomainObjectCollection<PrebuiltLibrary>`, `NamedDomainObjectSet<PrebuiltLibrary>`, `java.util.Set<PrebuiltLibrary>`

      @Incubating
      public interface PrebuiltLibraries
      extends ArtifactRepository, NamedDomainObjectSet<PrebuiltLibrary>

  A container of `PrebuiltLibrary` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PrebuiltLibrary` | `resolveLibrary​(java.lang.String name)` |

    - ### Methods inherited from interface org.gradle.api.artifacts.repositories.ArtifactRepository

      `getName, setName`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, of, of, of, of, of, of, of, of, of, of, of, of, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Method Detail

    - #### resolveLibrary

          PrebuiltLibrary resolveLibrary​(java.lang.String name)